@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&family=Nunito:ital,wght@0,200..1000;1,200..1000&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');

body {
    font-family: Roboto, Arial, sans-serif !important;
    
}

button, input, optgroup, options, select, textarea {
    font-family: Roboto, Arial, sans-serif !important;
}

body * {
    --bs-primary: #b20436;
    --bs-dropdown-link-active-bg: #b20436;
    --bs-primary-rgb: 178, 4, 54;
    --bs-primary-bg-subtle: #f7d4d9;
    --bs-nav-pills-link-active-bg: #b20436;
    --bs-nav-link-color: #b20436;
}

:root {
    --bs-nav-pills-border-radius: var(--bs-border-radius);
    --bs-nav-pills-link-active-color: #fff;
    
}

[data-bs-theme=dark] body * {
    --bs-primary: #b20436;
    --bs-dropdown-link-active-bg: #b20436;
    --bs-primary-rgb: 178, 4, 54;
    --bs-primary-bg-subtle: #514244;
}

.ag-paging-panel {
    justify-content: center !important;
}

a {
    color: #b20436 !important;
}

[data-bs-theme=dark] a {
    color: #e6e3e3 !important;
}

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #b20436;
    --bs-btn-border-color: #b20436;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #bd0e40;
    --bs-btn-active-bg: #bd0e40;
    --bs-btn-active-border-color: #b20436;
    border-color: #cc1c3d;
}

.fs-7 {
    font-size: 0.85rem !important;
}

.filter-label {
    font-size: 0.85rem !important;
    font-weight: 700 !important;
}

.pageOverlay {
    top: 0px;
    position: fixed;
    height: 100%;
    background-color: rgba(128, 128, 128, 0.3);
    width: 100%;
    text-align: center;
    z-index: 9999;
}

.pageOverlay div {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.pageOverlay div span {
    padding: 10px;
    border: 1px solid rgb(159, 159, 159);
    background: rgb(251, 251, 251);
    border-radius: 4px;
    box-shadow: 0 1rem 3rem rgba(0,0,0,.175) !important;
    min-width: 400px;
    min-height: 200px;
    align-content: center;
}

.loader-line {
    width: 100% !important;
    height: 3px;
    position: fixed;
    top: 0px;
    left: auto;
    overflow: hidden;
    background-color: #ccc;
    border-radius: 20px;
    z-index: 9999;
}

.loader-line:before {
    content: "";
    position: fixed;
    top:0px;
    left: -50%;
    height: 3px;
    width: 20%;
    background-color: var(--bs-primary) !important;
    animation: lineAnim 1s linear infinite;
    border-radius: 20px;
}

@keyframes lineAnim {
    0% { left: -40%; }
    50% { left: 20%; width: 80%; }
    100% { left: 100%; width: 100%; }
}

.ag-theme-alpine, .ag-theme-alpine-dark {
    --ag-primary-color: #b20436;
}
